## FoId FoId |

## Synopsis

                        FoId;
                        FoIdClass;
    FoDatatype*         fo_id_new_with_value                (const gchar *value);
    gchar*              fo_id_get_value                     (FoDatatype *id);

## Object Hierarchy

      GObject
       +----FoObject
             +----FoDatatype
                   +----FoId

## Properties

      "value"                    gchar*                : Read / Write

## Description

## Details

### FoId

    typedef struct _FoId FoId;

### FoIdClass

    typedef struct _FoIdClass FoIdClass;

### fo_id_new_with_value ()

    FoDatatype*         fo_id_new_with_value                (const gchar *value);

Creates a new FoId initialized to `value`.

`value` : | Id of new FoId.
Returns : | the new FoId.

### fo_id_get_value ()

    gchar*              fo_id_get_value                     (FoDatatype *id);

Get the value of `id`.

`id` : | FoId.
Returns : | String value of `id`.

## Property Details

### The `"value"` property

      "value"                    gchar*                : Read / Write

Id value.

Default value: NULL